summaryrefslogtreecommitdiff
path: root/dev-python/django-tables2
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /dev-python/django-tables2
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'dev-python/django-tables2')
-rw-r--r--dev-python/django-tables2/Manifest2
-rw-r--r--dev-python/django-tables2/django-tables2-2.9.0.ebuild49
-rw-r--r--dev-python/django-tables2/django-tables2-3.0.0.ebuild49
-rw-r--r--dev-python/django-tables2/metadata.xml10
4 files changed, 110 insertions, 0 deletions
diff --git a/dev-python/django-tables2/Manifest b/dev-python/django-tables2/Manifest
new file mode 100644
index 000000000000..44098af4ceb3
--- /dev/null
+++ b/dev-python/django-tables2/Manifest
@@ -0,0 +1,2 @@
+DIST django-tables2-2.9.0.gh.tar.gz 433751 BLAKE2B f0c134da1dde3c6eaf73bf4b6cd08e73b53126051c5ba7e341b4b1c5be0799ca3c497ad10ebd465e8b9e319fa55bec96a892e94362ef67765a329d515158e40c SHA512 760fdc5a7892e435e214d99f0563a905ac2360dbd718f5966746666f9722a8428e6f328c04fef98193fb28d7f8964267e1030f9a7509f4050d41c4a76a7366c7
+DIST django-tables2-3.0.0.gh.tar.gz 433992 BLAKE2B 7826832cc0bbd060a0732f5dfb32b1be92a9acec5eff324ea9b0b0dc501dd9be0683aaf479624978aaba3301272f5236274f3ab19bbf6f3e6cf8f665a8f21210 SHA512 ae1687dbc0d13f5dda7ce9cf949eab937c96506eed742f7a6966d9bc52abef54174c12df9847b15e110feb4ffe330fd14f85c0f809a026321d1b3a0d43a0a9d1
diff --git a/dev-python/django-tables2/django-tables2-2.9.0.ebuild b/dev-python/django-tables2/django-tables2-2.9.0.ebuild
new file mode 100644
index 000000000000..0883d91aa8c9
--- /dev/null
+++ b/dev-python/django-tables2/django-tables2-2.9.0.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="Table/data-grid framework for Django"
+HOMEPAGE="
+ https://pypi.org/project/django-tables2/
+ https://github.com/jieter/django-tables2/
+"
+SRC_URI="
+ https://github.com/jieter/django-tables2/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/django-4.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ ${RDEPEND}
+ dev-python/django-filter[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+ dev-python/psycopg:*[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ )
+"
+
+src_prepare() {
+ # these tests require tablib
+ rm tests/test_export.py tests/test_templatetags.py || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ "${EPYTHON}" manage.py test -v 2 tests || die
+}
diff --git a/dev-python/django-tables2/django-tables2-3.0.0.ebuild b/dev-python/django-tables2/django-tables2-3.0.0.ebuild
new file mode 100644
index 000000000000..0883d91aa8c9
--- /dev/null
+++ b/dev-python/django-tables2/django-tables2-3.0.0.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="Table/data-grid framework for Django"
+HOMEPAGE="
+ https://pypi.org/project/django-tables2/
+ https://github.com/jieter/django-tables2/
+"
+SRC_URI="
+ https://github.com/jieter/django-tables2/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/django-4.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ ${RDEPEND}
+ dev-python/django-filter[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+ dev-python/psycopg:*[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ )
+"
+
+src_prepare() {
+ # these tests require tablib
+ rm tests/test_export.py tests/test_templatetags.py || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ "${EPYTHON}" manage.py test -v 2 tests || die
+}
diff --git a/dev-python/django-tables2/metadata.xml b/dev-python/django-tables2/metadata.xml
new file mode 100644
index 000000000000..5e95859f915a
--- /dev/null
+++ b/dev-python/django-tables2/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <stabilize-allarches />
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>